package com.gic.haoban.manage.web.vo.chat;

import com.gic.haoban.manage.web.vo.wechatwork.StoreGroupCommonVO;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-06-20 13:55:27
 */
public class GroupChatStoreGroupVO extends StoreGroupCommonVO implements Serializable {
    private static final long serialVersionUID = 348999797310245659L;

    /**
     * 群总数
     */
    private Integer groupNum = 0;


    /**
     * 新增群数
     */
    private Integer newGroupNum = 0;


    /**
     * 活跃群数
     */
    private Integer actGroupNum = 0;


    /**
     * 群总人数
     */
    private Integer groupCustNum = 0;

    /**
     * 新增群人数
     */
    private Integer newGroupCustNum = 0;

    /**
     * 活跃群人数
     */
    private Integer actGroupCustNum = 0;


    /**
     * 新退群人数
     */
    private Integer newExitGroupCustNum = 0;


    /**
     * 群会话总条数
     */
    private Integer groupSessionsNum = 0;


    public Integer getGroupNum() {
        return groupNum;
    }

    public void setGroupNum(Integer groupNum) {
        this.groupNum = groupNum;
    }

    public Integer getNewGroupNum() {
        return newGroupNum;
    }

    public void setNewGroupNum(Integer newGroupNum) {
        this.newGroupNum = newGroupNum;
    }

    public Integer getActGroupNum() {
        return actGroupNum;
    }

    public void setActGroupNum(Integer actGroupNum) {
        this.actGroupNum = actGroupNum;
    }

    public Integer getGroupCustNum() {
        return groupCustNum;
    }

    public void setGroupCustNum(Integer groupCustNum) {
        this.groupCustNum = groupCustNum;
    }

    public Integer getNewGroupCustNum() {
        return newGroupCustNum;
    }

    public void setNewGroupCustNum(Integer newGroupCustNum) {
        this.newGroupCustNum = newGroupCustNum;
    }

    public Integer getActGroupCustNum() {
        return actGroupCustNum;
    }

    public void setActGroupCustNum(Integer actGroupCustNum) {
        this.actGroupCustNum = actGroupCustNum;
    }

    public Integer getNewExitGroupCustNum() {
        return newExitGroupCustNum;
    }

    public void setNewExitGroupCustNum(Integer newExitGroupCustNum) {
        this.newExitGroupCustNum = newExitGroupCustNum;
    }

    public Integer getGroupSessionsNum() {
        return groupSessionsNum;
    }

    public void setGroupSessionsNum(Integer groupSessionsNum) {
        this.groupSessionsNum = groupSessionsNum;
    }
}
